Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Import_Attributes_i Class Reference

This class stores, allows access to and modification of trader's import attributes. More...

`#include <Trader.h>`

Collaboration diagram for TAO_Import_Attributes_i:

[legend]
List of all members.

## Public Methods
| TAO_Import_Attributes_i (TAO_Lockable &locker)
| ~TAO_Import_Attributes_i (void)
CORBA::ULong | def_search_card (void) const
void | def_search_card (CORBA::ULong)
CORBA::ULong | max_search_card (void) const
void | max_search_card (CORBA::ULong)
CORBA::ULong | def_match_card (void) const
void | def_match_card (CORBA::ULong)
CORBA::ULong | max_match_card (void) const
void | max_match_card (CORBA::ULong)
CORBA::ULong | def_return_card (void) const
void | def_return_card (CORBA::ULong)
CORBA::ULong | max_return_card (void) const
void | max_return_card (CORBA::ULong)
CORBA::ULong | max_list (void) const
void | max_list (CORBA::ULong)
CORBA::ULong | def_hop_count (void) const
void | def_hop_count (CORBA::ULong)
CORBA::ULong | max_hop_count (void) const
void | max_hop_count (CORBA::ULong)
CosTrading::FollowOption | def_follow_policy (void) const
void | def_follow_policy (CosTrading::FollowOption)
CosTrading::FollowOption | max_follow_policy (void) const
void | max_follow_policy (CosTrading::FollowOption)
## Private Attributes
TAO_Lockable & | locker_
CORBA::ULong | def_search_card_
| Upper bound of offers to be searched if <search_card> is not specified. More...
CORBA::ULong | max_search_card_
| Maximum upper bound of offers to be searched. More...
CORBA::ULong | def_match_card_
| Upper bound of matched offers to be ordered if <match_card> is not specified). More...
CORBA::ULong | max_match_card_
| Maximum upper bound of matched offers to be ordered. More...
CORBA::ULong | def_return_card_
| Upper bound of ordered offers to be returned if <returned_card> is not specified. More...
CORBA::ULong | max_return_card_
| Maximum upper bound of ordered offers to be returned. More...
CORBA::ULong | max_list_
| Upper bound of depth. More...
CORBA::ULong | def_hop_count_
| Upper bound of depth of links to be traversed if <hop_count> is not specified. More...
CORBA::ULong | max_hop_count_
| Maximum upper bound of depth of links to be traversed. More...
CosTrading::FollowOption | def_follow_policy_
| Default link follow policy for a particular trader. More...
CosTrading::FollowOption | max_follow_policy_
| Limiting link follow policy for all links of the trader - overrides both link and importer policies. More...

## Detailed Description

This class stores, allows access to and modification of trader's import attributes.

Contains a reference to the trader from which it is used so it can use trader's lock.

## Constructor & Destructor Documentation

TAO_Import_Attributes_i::TAO_Import_Attributes_i | ( | TAO_Lockable & | locker | ) |

TAO_Import_Attributes_i::~TAO_Import_Attributes_i | ( | void |  | ) |

## Member Function Documentation

void TAO_Import_Attributes_i::def_follow_policy | ( | CosTrading::FollowOption | new_value | ) |

CosTrading::FollowOption TAO_Import_Attributes_i::def_follow_policy | ( | void |  | ) | const

void TAO_Import_Attributes_i::def_hop_count | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::def_hop_count | ( | void |  | ) | const

void TAO_Import_Attributes_i::def_match_card | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::def_match_card | ( | void |  | ) | const

void TAO_Import_Attributes_i::def_return_card | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::def_return_card | ( | void |  | ) | const

void TAO_Import_Attributes_i::def_search_card | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::def_search_card | ( | void |  | ) | const

void TAO_Import_Attributes_i::max_follow_policy | ( | CosTrading::FollowOption | new_value | ) |

CosTrading::FollowOption TAO_Import_Attributes_i::max_follow_policy | ( | void |  | ) | const

void TAO_Import_Attributes_i::max_hop_count | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::max_hop_count | ( | void |  | ) | const

void TAO_Import_Attributes_i::max_list | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::max_list | ( | void |  | ) | const

void TAO_Import_Attributes_i::max_match_card | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::max_match_card | ( | void |  | ) | const

void TAO_Import_Attributes_i::max_return_card | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::max_return_card | ( | void |  | ) | const

void TAO_Import_Attributes_i::max_search_card | ( | CORBA::ULong | new_value | ) |

CORBA::ULong TAO_Import_Attributes_i::max_search_card | ( | void |  | ) | const

## Member Data Documentation

CosTrading::FollowOption TAO_Import_Attributes_i::def_follow_policy_`[private]`

| Default link follow policy for a particular trader.

CORBA::ULong TAO_Import_Attributes_i::def_hop_count_`[private]`

| Upper bound of depth of links to be traversed if <hop_count> is not specified.

CORBA::ULong TAO_Import_Attributes_i::def_match_card_`[private]`

| Upper bound of matched offers to be ordered if <match_card> is not specified).

CORBA::ULong TAO_Import_Attributes_i::def_return_card_`[private]`

| Upper bound of ordered offers to be returned if <returned_card> is not specified.

CORBA::ULong TAO_Import_Attributes_i::def_search_card_`[private]`

| Upper bound of offers to be searched if <search_card> is not specified.

TAO_Lockable& TAO_Import_Attributes_i::locker_`[private]`

CosTrading::FollowOption TAO_Import_Attributes_i::max_follow_policy_`[private]`

| Limiting link follow policy for all links of the trader - overrides both link and importer policies.

CORBA::ULong TAO_Import_Attributes_i::max_hop_count_`[private]`

| Maximum upper bound of depth of links to be traversed.

CORBA::ULong TAO_Import_Attributes_i::max_list_`[private]`

| Upper bound of depth.

CORBA::ULong TAO_Import_Attributes_i::max_match_card_`[private]`

| Maximum upper bound of matched offers to be ordered.

CORBA::ULong TAO_Import_Attributes_i::max_return_card_`[private]`

| Maximum upper bound of ordered offers to be returned.

CORBA::ULong TAO_Import_Attributes_i::max_search_card_`[private]`

| Maximum upper bound of offers to be searched.

The documentation for this class was generated from the following files:

- Trader.h
- Trader.cpp